%global		fontikcommit	8e8cea81d
Name:		fontik
Version:	0
Release:	0.1.20100825git%{fontikcommit}%{?dist}
Summary:	A Configuration Tool for Font-wise, User-set Fontconfig Rules

Group:		User Interface/X
License:	GPLv3
URL:		http://suruma.freeflux.net/blog/archive/2009/10/14/fontik-a-font-configuration-gui.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://gitorious.org/fontik/fontik.git
#  cd fontik
#  export fontikcommit=8e8cea81d
#  git archive --format tar --prefix fontik-${fontikcommit}/ ${fontikcommit} |\
#      gzip -c > ../fontik-${fontikcommit}.tar.gz
Source0:	%{name}-%{fontikcommit}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch

BuildRequires:	libgee-devel
BuildRequires:	libxml2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	desktop-file-utils

%description
Fontik is basically intended to tweak and configure some properties of
fonts. These settings are usually set system-wide while installing the
fonts. The power of fontconfig is thus limited when it comes to the
user. The user can definitely override or enhance these settings, but
for that, he has to manually edit the ~/.fonts.conf each and every
time. I haven't come across any GUI tool that performs these tasks
with ease. This is an attempt on it.

%prep
%setup -q -n %{name}-%{fontikcommit}
%patch0 -p1 -b .makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fontik*
%{_datadir}/fontik/
%{_libexecdir}/fontik/
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Aug 25 2010 Daiki Ueno <dueno@redhat.com> - 0-0.1.20100825git8e8cea81d
- initial packaging for Fedora

